[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomShape.GetControlClassDefaultSize

Gets the default size for instances of the control.

## Declaration

Source position: extctrls.pp line 288

`protected class function TCustomShape.GetControlClassDefaultSize: TSize; override;`

## Function result

TSize instance with the dimensions for instances of the control class.

## Description

GetControlClassDefaultSize is an overridden TSize class function which provides the default size for instances of the control. The return value is updated in the method to use dimensions of 65 x 65 pixels.

GetControlClassDefaultSize is called from the Create method, and used to set the initial value in the Bounds for the control.

## See also

TControl.GetControlClassDefaultSize |  | Returns the default dimensions for new instances of the class.